<?xml version="1.0"?>
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
  <configSections>
    <sectionGroup name="disk">
      <section name="disk" type="Spaces.ConfigHandler, Spaces" />
    </sectionGroup>
  </configSections>
  <appSettings>
    <add key="License" value="打算" />
    <add key="SSOKey" value="12345678" />
  </appSettings>
  <connectionStrings />
  <system.web>
    <httpModules>
      <add name="HttpUploadModule" type="Xiaoxiao.Upload.HttpUploadModule, Xiaoxiao.Upload" />
      <add name="Spaces" type="Spaces.SpacesHttpModule, Spaces" />
    </httpModules>
    <httpHandlers>
      <add verb="*" path="404.aspx" type="Spaces.Http404,Spaces" />
      <add verb="*" path="PhotoXML.aspx" type="Spaces.HttpHandler.PhotoHandler, Spaces" />
      <add verb="*" path="rss.aspx" type="Spaces.Syndication.RssHandler, Spaces" />
      <add verb="*" path="trackback.aspx" type="Spaces.Tracking.TrackBackHandler, Spaces" />
      <add verb="*" path="progress.ashx" type="Xiaoxiao.Upload.HttpUploadHandler, Xiaoxiao.Upload" />
    </httpHandlers>
    <compilation debug="true">
      <assemblies>
        <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
      </assemblies>
    </compilation>
    <authentication mode="Forms">
      <forms name=".isuperspace" loginUrl="login.aspx" protection="All" path="/" timeout="30" />
    </authentication>
    <customErrors mode="Off" />
    <httpRuntime useFullyQualifiedRedirectUrl="true" maxRequestLength="2097150" executionTimeout="900" />
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" />
    <pages validateRequest="false" enableEventValidation="false" />
  </system.web>
  <location path="admin">
    <system.web>
      <authorization>
        <deny users="?" />
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <disk>
    <disk defaultProvider="Access" photosPath="G:\i-favourite\Blog\Photos" photosUrl="http://61.241.22.194/Photos" userPasswordFormat="1" uploadFilesPath="G:\i-favourite\Blog\Users" domainFix="61|241|www|localhost|127|192|10" defaultLanguage="zh-CN" defaultDomain="http://61.241.22.194/{0}/default.aspx" defaultMusic="我的音乐盒" defaultAlbum="我的图库" enableBlog="True" enableDisk="True" blogAlbumPath="G:\i-favourite\Blog\BlogImage" blogAlbumUrl="http://61.241.22.194/BlogImage/">
      <providers>
        <clear />
        <add name="SqlServer" type="Spaces.Data.SqlDataProvider,SqlDataProvider" connectionString="" databaseOwner="dbo" />
        <add name="Access" type="Spaces.Data.AccessDataProvider, AccessDataProvider" connectionString="" databaseOwner="dbo" />
        <add name="MySql" type="Spaces.Data.MySqlDataProvider, MySqlDataProvider" connectionString=""  databaseOwner="dbo" />
      </providers>
    </disk>
  </disk>
</configuration>